Package org.eclipse.microprofile.config.tck

## Class ClassConverterTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.config.tck.ClassConverterTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

    public class ClassConverterTest
    extends org.jboss.arquillian.testng.Arquillian

Test Class type converter handling

Author:
  John D. Ament

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
`ClassConverterTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `deploy()`
`void` `testClassConverterWithLookup()`
`void` `testConverterForClassLoadedInBean()`
`void` `testGetClassConverter()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassConverterTest

    public ClassConverterTest()

### Method Detail

#### deploy

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

#### testClassConverterWithLookup

    public void testClassConverterWithLookup()

#### testGetClassConverter

    public void testGetClassConverter()

#### testConverterForClassLoadedInBean

    public void testConverterForClassLoadedInBean()